<?
function getUrl() {
  $url  = @( $_SERVER["HTTPS"] != 'on' ) ? 'http://'.$_SERVER["SERVER_NAME"] :  'https://'.$_SERVER["SERVER_NAME"];
  $url .= ( $_SERVER["SERVER_PORT"] != 80 ) ? ":".$_SERVER["SERVER_PORT"] : "";
  $url .= $_SERVER["REQUEST_URI"];
  return $url;
}    
if(isset($_GET['fermoney']))
{
$id_shop='2060';//ID площадки на WorldKassa
$hash='hashshshhshsshhshshshshss';//Секретный ключ (HASH)

if (isset($_POST['summa']) && isset($_POST['friend']))
	{
	    if($ku['id']==$_POST['friend'])
	    {
	        		$_SESSION['msg']='Нельзя вводить свой ID в поле ввода ID друга!';
			header("Location: /?payment&fermoney");
exit();
	    }
	if (preg_match('#^([0-9]+)$|^([0-9]+\.)+([0-9]{1,2})$#', $_POST['summa']))
		{
		$data=file_get_contents('http://worldkassa.ru/user/oplata.php?id_shop='.$id_shop.'&summa='.$_POST['summa'].'&hash='.$hash);
		if (is_numeric($data))
			{
			mysql_query("INSERT INTO `worldkassa` (`id_user`, `id_bill`, `time`, `summa`, `friend`) values('".$ku['id']."', '".$data."', '".time()."', '".$_POST['summa']."', '".$_POST['friend']."')");
			header("Location: http://worldkassa.ru/user/oplata.php?uniq=".$data);
			exit();
			}
			else
			{
			$err[]=$data;
			}
		}
		else
		{
		$err[]='Введите корректно сумму';
		}
	}



	echo "<div class='event'><h1>Покупка фермани</h1></div>";

	echo "<div class='block'>";
echo 'У вас на счету <b><span class="title"><img width="17" src="/worldkassa/fermoney.png">  '.$ku['fermoney'].'</span></b> ФерМани</div><div class="block">
Пополнить на:<br/>
<form method="post">
<input name="summa" type="text" value="10"/> ФерМани*<br/>
<li class="pavelgrey">ID друга:<br/>
<input type="text" value="0" name="friend" value="0">
 <br/><li class="pavelgrey">
<input type="submit" value="Оплатить"/>
</form>';
echo '<li class="pavelgrey">* <img width="17" src="/worldkassa/fermoney.png"> 1 ФерМани = 1 рубль';

echo'</div><div class="block"><a href="/?support"><img src="https://cdn3.iconfinder.com/data/icons/social-7/500/Help_mark_query_question_support_talk-24.png">Задать вопрос</a></div>';
echo "</div>";
include_once 'inc/foot.php';

}
if(isset($_GET['premium']))
{
$balans=$ku['fermoney'];
$theend=$ku['fermoney']-500;
if($ku['fermoney']>=500)
{
if(isset($_GET['pay']))
{
$timee=3600*24*30;
mysql_query("UPDATE `kolhoz_user` SET `premium_time` = '".($ku['premium_time']>$time?"".($ku['premium_time']+$timee)."":"".($time+$timee)."")."' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_user` SET `fermoney` = `fermoney` - '500' WHERE `id` = '$ku[id]'");
$_SESSION['msg']='Покупка совершена успешно';
header("location:/?payment");
}
echo "<div class='event'><h1>Подтверждение</h1></div>";
echo "<div class='block'>";
echo"Вы покупаете: <b><span class='title'><img width='20' src='/pavelgrey/img/gold.png' alt='o'> Премиум карта (30 дней) </span></b><br>
Цена: <b><span class='title'><img width='17' src='/worldkassa/fermoney.png' alt='o'> 500 </span></br></b>
Ваш баланс: <b><span class='title'><img width='17' src='/worldkassa/fermoney.png' alt='o'> ".$balans." </span></br></b>
Остаток: <b><span class='title'><img width='17' src='/worldkassa/fermoney.png' alt='o'> ".$theend." </span></br></b>";
echo'</div><div class="block">Все покупки совершенные с помощью ФерМани не подлежат обмену. Вы действительно хотите купить этот товар?</div><div class="block">
<img src="/images/icons/tick.png"> <a href="'.getUrl().'&pay">Да, подтверждаю</a><br><img src="/images/icons/cross.png"> <a href="/?payment">Нет, отказываюсь</a>';
}else{
    $_SESSION['msg']='Недостаточно фермани,
    [url=/?payment&fermoney]купить[/url]';
    header("location:/?payment");

}
include_once'inc/foot.php';
}
if(isset($_GET['pkey']))
{
$balans=$ku['fermoney'];
$theend=$ku['fermoney']-25;
if($ku['fermoney']>=25)
{
if(isset($_GET['pay']))
{
mysql_query("INSERT INTO `kolhoz_key` SET `id_user` = '$ku[id]', `time` = '604800' ") or die (mysql_error());
mysql_query("UPDATE `kolhoz_user` SET `fermoney` = `fermoney` - '25' WHERE `id` = '$ku[id]'");
$_SESSION['msg']='Покупка совершена успешно';
header("location:/?payment");
}
echo "<div class='event'><h1>Подтверждение</h1></div>";
echo "<div class='block'>";
echo"Вы покупаете: <b><span class='title'><img width='16'height='16' src='/images/icons/pkey.png' alt='o'> Ключ от погреба (7 дней) </span></b><br>
Цена: <b><span class='title'><img width='17' src='/worldkassa/fermoney.png' alt='o'> 25 </span></br></b>
Ваш баланс: <b><span class='title'><img width='17' src='/worldkassa/fermoney.png' alt='o'> ".$balans." </span></br></b>
Остаток: <b><span class='title'><img width='17' src='/worldkassa/fermoney.png' alt='o'> ".$theend." </span></br></b>";
echo'</div><div class="block">Все покупки совершенные с помощью ФерМани не подлежат обмену. Вы действительно хотите купить этот товар?</div><div class="block">
<img src="/images/icons/tick.png"> <a href="'.getUrl().'&pay">Да, подтверждаю</a><br><img src="/images/icons/cross.png"> <a href="/?payment">Нет, отказываюсь</a>';
}else{
    $_SESSION['msg']='Недостаточно фермани,
    [url=/?payment&fermoney]купить[/url]';
    header("location:/?payment");

}
include_once'inc/foot.php';
}
if(isset($_GET['ruby']))
{
$balans=$ku['fermoney'];
$theend=$ku['fermoney']-50;
if($ku['fermoney']>=50)
{
if(isset($_GET['pay']))
{
mysql_query("UPDATE `kolhoz_user` SET `rubies` = `rubies` + '2500000' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_user` SET `fermoney` = `fermoney` - '50' WHERE `id` = '$ku[id]'");
$_SESSION['msg']='Покупка совершена успешно';
header("location:/?payment");
}
echo "<div class='event'><h1>Подтверждение</h1></div>";
echo "<div class='block'>";
echo"Вы покупаете: <b><span class='title'><img width='16'height='16' src='/images/icons/ruby.png' alt='o'> 2 500 000 </span></b><br>
Цена: <b><span class='title'><img width='17' src='/worldkassa/fermoney.png' alt='o'> 50 </span></br></b>
Ваш баланс: <b><span class='title'><img width='17' src='/worldkassa/fermoney.png' alt='o'> ".$balans." </span></br></b>
Остаток: <b><span class='title'><img width='17' src='/worldkassa/fermoney.png' alt='o'> ".$theend." </span></br></b>";
echo'</div><div class="block">Все покупки совершенные с помощью ФерМани не подлежат обмену. Вы действительно хотите купить этот товар?</div><div class="block">
<img src="/images/icons/tick.png"> <a href="'.getUrl().'&pay">Да, подтверждаю</a><br><img src="/images/icons/cross.png"> <a href="/?payment">Нет, отказываюсь</a>';
}else{
    $_SESSION['msg']='Недостаточно фермани,
    [url=/?payment&fermoney]купить[/url]';
    header("location:/?payment");

}
include_once'inc/foot.php';
}
if(isset($_GET['vip']))
{
$balans=$ku['fermoney'];
$theend=$ku['fermoney']-130;
if($ku['fermoney']>=130)
{
if(isset($_GET['pay']))
{
$timee=3600*24*7;
mysql_query("UPDATE `kolhoz_user` SET `time_vip` = '".($ku['time_vip']>$time?"".($ku['time_vip']+$timee)."":"".($time+$timee)."")."' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_user` SET `fermoney` = `fermoney` - '130' WHERE `id` = '$ku[id]'");
$_SESSION['msg']='Покупка совершена успешно';
header("location:/?payment");
}
echo "<div class='event'><h1>Подтверждение</h1></div>";
echo "<div class='block'>";
echo"Вы покупаете: <b><span class='title'><img width='16'height='16' src='https://cdn0.iconfinder.com/data/icons/kameleon-free-pack-rounded/110/Medal-2-20.png' alt='o'> VIP-статус (7 дней) </span></b><br>
Цена: <b><span class='title'><img width='17' src='/worldkassa/fermoney.png' alt='o'> 130 </span></br></b>
Ваш баланс: <b><span class='title'><img width='17' src='/worldkassa/fermoney.png' alt='o'> ".$balans." </span></br></b>
Остаток: <b><span class='title'><img width='17' src='/worldkassa/fermoney.png' alt='o'> ".$theend." </span></br></b>";
echo'</div><div class="block">Все покупки совершенные с помощью ФерМани не подлежат обмену. Вы действительно хотите купить этот товар?</div><div class="block">
<img src="/images/icons/tick.png"> <a href="'.getUrl().'&pay">Да, подтверждаю</a><br><img src="/images/icons/cross.png"> <a href="/?payment">Нет, отказываюсь</a>';
}else{
    $_SESSION['msg']='Недостаточно фермани,
    [url=/?payment&fermoney]купить[/url]';
    header("location:/?payment");

}
include_once'inc/foot.php';
}

if(isset($_GET['money2x']))
{
$balans=$ku['fermoney'];
$theend=$ku['fermoney']-250;
if($ku['fermoney']>=250)
{
if(isset($_GET['pay']))
{
$timee=3600*24*7;
mysql_query("UPDATE `kolhoz_user` SET `money2x_time` = '".($ku['money2x_time']>$time?"".($ku['money2x_time']+$timee)."":"".($time+$timee)."")."' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_user` SET `fermoney` = `fermoney` - '250' WHERE `id` = '$ku[id]'");
$_SESSION['msg']='Покупка совершена успешно';
header("location:/?payment");
}
echo "<div class='event'><h1>Подтверждение</h1></div>";
echo "<div class='block'>";
echo"Вы покупаете: <b><span class='title'><img width='30' src='/pavelgrey/img/2xmoney.png' alt='o'> Двойной доход (7 дней) </span></b><br>
Цена: <b><span class='title'><img width='17' src='/worldkassa/fermoney.png' alt='o'> 250 </span></br></b>
Ваш баланс: <b><span class='title'><img width='17' src='/worldkassa/fermoney.png' alt='o'> ".$balans." </span></br></b>
Остаток: <b><span class='title'><img width='17' src='/worldkassa/fermoney.png' alt='o'> ".$theend." </span></br></b>";
echo'</div><div class="block">Все покупки совершенные с помощью ФерМани не подлежат обмену. Вы действительно хотите купить этот товар?</div><div class="block">
<img src="/images/icons/tick.png"> <a href="'.getUrl().'&pay">Да, подтверждаю</a><br><img src="/images/icons/cross.png"> <a href="/?payment">Нет, отказываюсь</a>';
}else{
    $_SESSION['msg']='Недостаточно фермани,
    [url=/?payment&fermoney]купить[/url]';
    header("location:/?payment");

}
include_once'inc/foot.php';
}
if(isset($_GET['money']))
{
$balans=$ku['fermoney'];
$theend=$ku['fermoney']-50;
if($ku['fermoney']>=50)
{
if(isset($_GET['pay']))
{
mysql_query("UPDATE `kolhoz_user` SET `money` = `money` + '50000000000' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_user` SET `fermoney` = `fermoney` - '50' WHERE `id` = '$ku[id]'");
$_SESSION['msg']='Покупка совершена успешно';
header("location:/?payment");
}
echo "<div class='event'><h1>Подтверждение</h1></div>";
echo "<div class='block'>";
echo"Вы покупаете: <b><span class='title'><img width='16'height='16' src='/images/icons/money.png' alt='o'> 50 000 000 000 </span></b><br>
Цена: <b><span class='title'><img width='17' src='/worldkassa/fermoney.png' alt='o'> 50 </span></br></b>
Ваш баланс: <b><span class='title'><img width='17' src='/worldkassa/fermoney.png' alt='o'> ".$balans." </span></br></b>
Остаток: <b><span class='title'><img width='17' src='/worldkassa/fermoney.png' alt='o'> ".$theend." </span></br></b>";
echo'</div><div class="block">Все покупки совершенные с помощью ФерМани не подлежат обмену. Вы действительно хотите купить этот товар?</div><div class="block">
<img src="/images/icons/tick.png"> <a href="'.getUrl().'&pay">Да, подтверждаю</a><br><img src="/images/icons/cross.png"> <a href="/?payment">Нет, отказываюсь</a>';
}else{
    $_SESSION['msg']='Недостаточно фермани,
    [url=/?payment&fermoney]купить[/url]';
    header("location:/?payment");

}
include_once'inc/foot.php';
}
if(isset($_GET['experience']))
{
$balans=$ku['fermoney'];
$theend=$ku['fermoney']-150;
if($ku['fermoney']>=150)
{
if(isset($_GET['pay']))
{
mysql_query("UPDATE `kolhoz_user` SET `expbonus` = `expbonus` + '100' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_user` SET `fermoney` = `fermoney` - '150' WHERE `id` = '$ku[id]'");
$_SESSION['msg']='Покупка совершена успешно';
header("location:/?payment");
}
echo "<div class='event'><h1>Подтверждение</h1></div>";
echo "<div class='block'>";
echo"Вы покупаете: <b><span class='title'><img width='16'height='16' src='/images/icons/experience.png' alt='o'> 100% бонуса к опыту </span></b><br>
Цена: <b><span class='title'><img width='17' src='/worldkassa/fermoney.png' alt='o'> 150 </span></br></b>
Ваш баланс: <b><span class='title'><img width='17' src='/worldkassa/fermoney.png' alt='o'> ".$balans." </span></br></b>
Остаток: <b><span class='title'><img width='17' src='/worldkassa/fermoney.png' alt='o'> ".$theend." </span></br></b>";
echo'</div><div class="block">Все покупки совершенные с помощью ФерМани не подлежат обмену. Вы действительно хотите купить этот товар?</div><div class="block">
<img src="/images/icons/tick.png"> <a href="'.getUrl().'&pay">Да, подтверждаю</a><br><img src="/images/icons/cross.png"> <a href="/?payment">Нет, отказываюсь</a>';
}else{
    $_SESSION['msg']='Недостаточно фермани,
    [url=/?payment&fermoney]купить[/url]';
    header("location:/?payment");

}
include_once'inc/foot.php';
}
if(isset($_GET['nickoffor']))
{
$balans=$ku['fermoney'];
$theend=$ku['fermoney']-150;
if($ku['fermoney']>=150)
{
if(isset($_GET['pay']))
{
mysql_query("UPDATE `kolhoz_user` SET `greynickdostup` = '1' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_user` SET `fermoney` = `fermoney` - '150' WHERE `id` = '$ku[id]'");
$_SESSION['msg']='Покупка совершена успешно';
header("location:/?payment");
}
echo "<div class='event'><h1>Подтверждение</h1></div>";
echo "<div class='block'>";
echo"Вы покупаете: <b><span class='title'><img width='16'height='16' src='/images/icons/user_female_gold.png' alt='o'> Оформление ника (навсегда) </span></b><br>
Цена: <b><span class='title'><img width='17' src='/worldkassa/fermoney.png' alt='o'> 150 </span></br></b>
Ваш баланс: <b><span class='title'><img width='17' src='/worldkassa/fermoney.png' alt='o'> ".$balans." </span></br></b>
Остаток: <b><span class='title'><img width='17' src='/worldkassa/fermoney.png' alt='o'> ".$theend." </span></br></b>";
echo'</div><div class="block">Все покупки совершенные с помощью ФерМани не подлежат обмену. Вы действительно хотите купить этот товар?</div><div class="block">
<img src="/images/icons/tick.png"> <a href="'.getUrl().'&pay">Да, подтверждаю</a><br><img src="/images/icons/cross.png"> <a href="/?payment">Нет, отказываюсь</a>';
}else{
    $_SESSION['msg']='Недостаточно фермани,
    [url=/?payment&fermoney]купить[/url]';
    header("location:/?payment");

}
include_once'inc/foot.php';
}
echo "<div class='event'><h1>Банк</h1></div>";
echo "<div class='content'>";
echo "<div class='block'>";
echo'Все ресурсы покупаются исключительно за <img width="17" src="/worldkassa/fermoney.png"><b><span class="title"> ФерМани</span></b>, которые можно купить по <a href="/?payment&fermoney">этой ссылке.</a></div>';
echo'<div class="block"><span class="title">Ресурсы:</span></div>';
echo"<div class='block'><img width='16'height='16' src='images/icons/ruby.png' alt='o'> <a href='/?payment&ruby'>2 500 000 рубинов</a> (50 <img width='17' src='/worldkassa/fermoney.png' alt='o'>)</div>";
echo"<div class='block'><img width='16'height='16' src='images/icons/money.png' alt='o'> <a href='/?payment&money'>50 000 000 000 монет</a> (50 <img width='17' src='/worldkassa/fermoney.png' alt='o'>)</div>";
echo"<div class='block'><img width='16'height='16' src='/images/icons/pkey.png' alt='o'> <a href='/?payment&pkey'>Ключ от погреба на 7 дней</a> (25 <img width='17' src='/worldkassa/fermoney.png' alt='o'>)</div>";
echo'<div class="block"><span class="title">Премиум:</span></div>';
echo"<div class='block'><img width='20' src='/pavelgrey/img/gold.png' alt='o'> <a href='/?payment&premium'>Премиум карта на 30 дней</a> <a class='txt-md' href='/?payment&HELPpremium'>[подробнее]</a> (500 <img width='17' src='/worldkassa/fermoney.png' alt='o'>)</div>";
if(isset($_GET['HELPpremium']))
{
  echo"<div class='block'>Премиум карта дает такие возможности:<br>- 1% опыта от всего набранного вами каждый день<br>- иконку ''премиум пользователь'' возле ника<br>- скидка 50% на прокачку и покупку зданий<br>- увеличение прибыли с барашка на 25%<br>- 3х опыт во всех локациях</div>";
  
}
echo"<div class='block'><img width='16'height='16' src='images/icons/experience.png' alt='o'> <a href='/?payment&experience'>100% бонуса к опыту</a> <a class='txt-md' href='/?payment&HELPexp'>[подробнее]</a> (150 <img width='17' src='/worldkassa/fermoney.png' alt='o'>)</div>";
if(isset($_GET['HELPexp']))
{
  echo"<div class='block'>Бонус действует во всех локациях и покупается навсегда</div>";
  
}
echo"<div class='block'><img width='30' src='pavelgrey/img/2xmoney.png' alt='o'> <a href='/?payment&money2x'>Двойной доход на 7 дней</a> <a class='txt-md' href='/?payment&HELPmoney2x'>[подробнее]</a> (250 <img width='17' src='/worldkassa/fermoney.png' alt='o'>)</div>";
if(isset($_GET['HELPmoney2x']))
{
  echo"<div class='block'>Действие распространяется на:<br>- продажу продукций с амбара<br>- получение прибыли с животных<br>- получение прибыли с продажи рыбы</div>";
  
}
echo"<div class='block'><img width='16'height='16' src='https://cdn0.iconfinder.com/data/icons/kameleon-free-pack-rounded/110/Medal-2-20.png' alt='o'> <a href='/?payment&vip'>VIP-статус на 7 дней</a> <a class='txt-md' href='/?payment&HELPvip'>[подробнее]</a> (130 <img width='17' src='/worldkassa/fermoney.png' alt='o'>)</div>";
if(isset($_GET['HELPvip']))
{
  echo"<div class='block'>VIP статус дает такие возможности:<br>- возможность загрузки собственной иконки<br>- использование BB-кодов<br>- 2х опыт во всех локациях</div>";
  
}

echo"<div class='block'><img width='16'height='16' src='images/icons/user_female_gold.png' alt='o'> <a href='/?payment&nickoffor'>Оформление ника</a> <a class='txt-md' href='/?payment&HELPnick'>[подробнее]</a> (150 <img width='17' src='/worldkassa/fermoney.png' alt='o'>)</div>";
if(isset($_GET['HELPnick']))
{
  echo"<div class='block'>Купив данную функцию вы сможете менять <a href='/?greynick=86'>оформление ника</a> неограниченное число раз</div>";
  
}
include_once 'inc/foot.php';

?>